import { http } from '@/utils/http/axios'

/**
 * 综合搜索
 * @returns
 */
export async function getSearchList(params) {
  const res = await http.request({
    url: `/ocr/history/searchList`,
    method: 'get',
    params,
  })

  return res
}

/**
 * 综合搜索历史记录搜索
 * @returns
 */
export async function historySearch(params) {
  const res = await http.request({
    url: `/ocr/history/historySearch`,
    method: 'get',
    params,
  })

  return res
}

/**
 * 清除历史记录
 * @returns
 */
export async function deleteSearch(params) {
  const res = await http.request({
    url: `/ocr/history/searchdelete`,
    method: 'delete',
    params,
  })

  return res
}
